/**
 * Created by IntelliJ IDEA.
 * User: m09kaa3
 * Date: 07.10.2009
 * Time: 17:36:10
 * To change this template use File | Settings | File Templates.
 */
import java.io.*;
import java.util.*;
public class array {
    public static void main(String[] args) throws Exception{
     PrintWriter p= new PrintWriter(new File("array.out"));
     Scanner s= new Scanner(new File("array.in"));
        int n= s.nextInt();
        int[] a= new int[n];
        for(int i=0;i<=n-1;i++){
            a[i]=s.nextInt();
        }
        int t;
        for(int i=0;i<=n/2-1;i++){
            p.print(a[i]+" "+a[n-1-i]+" ");

        }
        if(1.0*n/2!=n/2){p.print(a[n/2]);}
        p.close();
    }
}
